Bug 133849 - Grub works fine, the problem is FC2 hangs after initializing the swap.
Grub works fine, the problem is FC2 hangs after initializing the swap.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 16:59 EDT by Harald Gill
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Gill 2004-09-27 16:59:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.2)
Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
I installed FC2 on my AMD900 system. I installed it using the custom
option, and once completed, rebooted the system. Grub came up, I
selected "Fedora Core 2" to boot, and the boot process began. The
kernel loaded, the Press "I" for Interactive Setup message appeared,
and then the mounting of the file system was started, and completed.
However, whatever the step is that occurrs after the mounting of the
Swap partition hangs. It just stops cold, no error message, nothing at
all. The first time I tried to boot the system, my screen blanked
completely, the second time I pressed 'I', and I was able to see the
last item that the system was able to successfully complete.

I installed Fedora using the graphical interface, and
auto-partitioning(though I did double-check the partitions before
allowing continuation of the install).

Fedora was installed on /hdb1. A Quantum 18 GB hdd that is solely used
by Fedora.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the system
2.
3.
    

Actual Results:  Nothing

Expected Results:  Command line should have appeared...eventually

Additional info:
Comment 1 Harald Gill 2004-11-17 15:15:54 EST
Has anything been figured out on this apparent bug yet? It's been
quite some time, and I would like to run Linux, but it is kind of hard
when the system won't boot...
Comment 2 Darren Day 2004-11-20 13:06:54 EST
I have this same problem with installing fc2 on a compaq proliant 800

Dual SCSI 4.3GB drives
384MB RAM
CDROM

fc2 install runs great, but on reboot after install and every 
consecutive reboot afterwards, the boot hangs at Enabling Swapspace.

The last message I see is:

hda: attached ide-cdrom driver

I have a feeling that there is a problem with the fact that the CDROM 
is the only thing on the IDE channel and fc2 is installed on the SCSI 
drives as the default boot files are usually located on hda?

Can anyone help?  Thanks.

I will post if I figure out how to fix this...
Comment 3 Darren Day 2004-11-24 01:56:16 EST
Harald,

I found out the problem with my installation, and since you seemed to 
have the same scenario, you may want to try this as well.

Boot from the first CD again and enter:

linux rescue

After it finds your operating system and gives you the command prompt 
enter:

chroot /mnt/sysimage

Then enter:

vi (or nano) /etc/X11/xorg.conf

This should open up your x window configuration settings.  Go down to 
the video settings and compare them with your chipset on you video 
board.  If they do not match, then try changing the values.  Worst 
case scenario, change the video driver to "vesa" (default driver) and 
you should be able to get x windows started and then can mess around 
with the settings later.

Let me know if this works for you, cheers.

-Darren
Comment 4 Harald Gill 2004-11-24 03:00:45 EST
I'll try that in the next day or so. I've got meetings tomorrow, so
hopefully I'll have a  chance to play with it on Thursday.

Thanks.
Comment 5 Dave Jones 2005-04-16 01:07:00 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.